--- /dev/null	Sat May 10 12:10:18 2014
+++ new/usr/src/man/man3m/remainder.3m	Sat May 10 12:10:18 2014
@@ -0,0 +1,108 @@
+'\" te
+.\" Copyright (c) 2001, the Institute of Electrical and Electronics Engineers, Inc. and The Open Group. All Rights Reserved.
+.\" Copyright (c) 1992, X/Open Company Limited.  All Rights Reserved.
+.\" Portions Copyright (c) 2006, Sun Microsystems, Inc. All Rights Reserved.
+.\" Sun Microsystems, Inc. gratefully acknowledges The Open Group for permission to reproduce portions of its copyrighted documentation. Original documentation from The Open Group can be obtained online at 
+.\" http://www.opengroup.org/bookstore/.
+.\" The Institute of Electrical and Electronics Engineers and The Open Group, have given us permission to reprint portions of their documentation. In the following statement, the phrase "this text" refers to portions of the system documentation. Portions of this text are reprinted and reproduced in electronic form in the Sun OS Reference Manual, from IEEE Std 1003.1, 2004 Edition, Standard for Information Technology -- Portable Operating System Interface (POSIX), The Open Group Base Specifications Issue 6, Copyright (C) 2001-2004 by the Institute of Electrical and Electronics Engineers, Inc and The Open Group. In the event of any discrepancy between these versions and the original IEEE and The Open Group Standard, the original IEEE and The Open Group Standard is the referee document. The original Standard can be obtained online at http://www.opengroup.org/unix/online.html.
+.\"  This notice shall appear on any product containing this material.
+.\" The contents of this file are subject to the terms of the Common Development and Distribution License (the "License").  You may not use this file except in compliance with the License.
+.\" You can obtain a copy of the license at usr/src/OPENSOLARIS.LICENSE or http://www.opensolaris.org/os/licensing.  See the License for the specific language governing permissions and limitations under the License.
+.\" When distributing Covered Code, include this CDDL HEADER in each file and include the License file at usr/src/OPENSOLARIS.LICENSE.  If applicable, add the following below this CDDL HEADER, with the fields enclosed by brackets "[]" replaced with your own identifying information: Portions Copyright [yyyy] [name of copyright owner]
+.TH remainder 3M "12 Jul 2006" "SunOS 5.11" "Mathematical Library Functions"
+.SH NAME
+remainder, remainderf, remainderl \- remainder function
+.SH SYNOPSIS
+.LP
+.nf
+c99 [ \fIflag\fR... ] \fIfile\fR... \fB-lm\fR [ \fIlibrary\fR... ]
+#include <math.h>
+
+\fBdouble\fR \fBremainder\fR(\fBdouble\fR \fIx\fR, \fBdouble\fR \fIy\fR);
+.fi
+
+.LP
+.nf
+\fBfloat\fR \fBremainderf\fR(\fBfloat\fR \fIx\fR, \fBfloat\fR \fIy\fR);
+.fi
+
+.LP
+.nf
+\fBlong double\fR \fBremainderl\fR(\fBlong double\fR \fIx\fR, \fBlong double\fR \fIy\fR);
+.fi
+
+.SH DESCRIPTION
+.sp
+.LP
+These functions return the floating point remainder \fIr\fR = \fIx\fR \(mi
+\fIn\fR\fIy\fR when \fIy\fR is non-zero. The value \fIn\fR is the integral
+value nearest the exact value \fIx\fR/\fIy\fR. When |\fIn\fR \(mi
+\fIx\fR/\fIy\fR\|| = \(12, the value \fIn\fR is chosen to be even.
+.sp
+.LP
+The behavior of \fBremainder()\fR is independent of the rounding mode.
+.SH RETURN VALUES
+.sp
+.LP
+Upon successful completion, these functions return the floating point remainder
+\fIr\fR = \fIx\fR \(mi \fIn\fR\fIy\fR when \fIy\fR is non-zero.
+.sp
+.LP
+If \fIx\fR or \fIy\fR is NaN, a NaN is returned.
+.sp
+.LP
+If \fIx\fR is infinite or \fIy\fR is 0 and the other is non-NaN, a domain error
+occurs and a NaN is returned.
+.SH ERRORS
+.sp
+.LP
+These functions will fail if:
+.sp
+.ne 2
+.mk
+.na
+\fBDomain Error\fR
+.ad
+.RS 16n
+.rt  
+The \fIx\fR argument is \(+-Inf, or the \fIy\fR argument is \(+-0 and the other
+argument is non-NaN.
+.sp
+If the integer expression (\fBmath_errhandling\fR & \fBMATH_ERREXCEPT\fR) is
+non-zero, then the invalid floating-point exception is raised.
+.sp
+The \fBremainder()\fR function sets \fBerrno\fR to \fBEDOM\fR if \fIy\fR
+argument is 0 or the \fIx\fR argument is positive or negative infinity.
+.RE
+
+.SH USAGE
+.sp
+.LP
+An application wanting to check for error situations can set \fBerrno\fR to 0
+before calling \fBremainder()\fR. On return, if \fBerrno\fR is non-zero, an
+error has occurred. The \fBremainderf()\fR and \fBremainderl()\fR functions do
+not set \fBerrno\fR.
+.SH ATTRIBUTES
+.sp
+.LP
+See \fBattributes\fR(5) for descriptions of the following attributes:
+.sp
+
+.sp
+.TS
+tab() box;
+cw(2.75i) |cw(2.75i) 
+lw(2.75i) |lw(2.75i) 
+.
+ATTRIBUTE TYPEATTRIBUTE VALUE
+_
+Interface StabilityStandard
+_
+MT-LevelMT-Safe
+.TE
+
+.SH SEE ALSO
+.sp
+.LP
+\fBabs\fR(3C), \fBdiv\fR(3C), \fBfeclearexcept\fR(3M), \fBfetestexcept\fR(3M),
+\fBattributes\fR(5), \fBstandards\fR(5)