--- /dev/null	Sat May 10 12:10:19 2014
+++ new/usr/src/man/man3m/rint.3m	Sat May 10 12:10:19 2014
@@ -0,0 +1,85 @@
+'\" te
+.\" Copyright (c) 2001, the Institute of Electrical and Electronics Engineers, Inc. and The Open Group. All Rights Reserved.
+.\" Copyright (c) 1992, X/Open Company Limited.  All Rights Reserved.
+.\" Portions Copyright (c) 2006, Sun Microsystems, Inc. All Rights Reserved.
+.\" Sun Microsystems, Inc. gratefully acknowledges The Open Group for permission to reproduce portions of its copyrighted documentation. Original documentation from The Open Group can be obtained online at 
+.\" http://www.opengroup.org/bookstore/.
+.\" The Institute of Electrical and Electronics Engineers and The Open Group, have given us permission to reprint portions of their documentation. In the following statement, the phrase "this text" refers to portions of the system documentation. Portions of this text are reprinted and reproduced in electronic form in the Sun OS Reference Manual, from IEEE Std 1003.1, 2004 Edition, Standard for Information Technology -- Portable Operating System Interface (POSIX), The Open Group Base Specifications Issue 6, Copyright (C) 2001-2004 by the Institute of Electrical and Electronics Engineers, Inc and The Open Group. In the event of any discrepancy between these versions and the original IEEE and The Open Group Standard, the original IEEE and The Open Group Standard is the referee document. The original Standard can be obtained online at http://www.opengroup.org/unix/online.html.
+.\"  This notice shall appear on any product containing this material.
+.\" The contents of this file are subject to the terms of the Common Development and Distribution License (the "License").  You may not use this file except in compliance with the License.
+.\" You can obtain a copy of the license at usr/src/OPENSOLARIS.LICENSE or http://www.opensolaris.org/os/licensing.  See the License for the specific language governing permissions and limitations under the License.
+.\" When distributing Covered Code, include this CDDL HEADER in each file and include the License file at usr/src/OPENSOLARIS.LICENSE.  If applicable, add the following below this CDDL HEADER, with the fields enclosed by brackets "[]" replaced with your own identifying information: Portions Copyright [yyyy] [name of copyright owner]
+.TH rint 3M "12 Jul 2006" "SunOS 5.11" "Mathematical Library Functions"
+.SH NAME
+rint, rintf, rintl \- round-to-nearest integral value
+.SH SYNOPSIS
+.LP
+.nf
+c99 [ \fIflag\fR... ] \fIfile\fR... \fB-lm\fR [ \fIlibrary\fR... ]
+#include <math.h>
+
+\fBdouble\fR \fBrint\fR(\fBdouble\fR \fIx\fR);
+.fi
+
+.LP
+.nf
+\fBfloat\fR \fBrintf\fR(\fBfloat\fR \fIx\fR);
+.fi
+
+.LP
+.nf
+\fBlong double\fR \fBrintl\fR(\fBlong double\fR \fIx\fR);
+.fi
+
+.SH DESCRIPTION
+.sp
+.LP
+These functions return the integral value (represented as a \fBdouble\fR)
+nearest \fIx\fR in the direction of the current rounding mode.
+.sp
+.LP
+If the current rounding mode rounds toward negative infinity, \fBrint()\fR is
+equivalent to \fBfloor\fR(3M). If the current rounding mode rounds toward
+positive infinity, \fBrint()\fR is equivalent to \fBceil\fR(3M).
+.sp
+.LP
+These functions differ from the \fBnearbyint\fR(3M), \fBnearbyintf()\fR, and
+\fBnearbyintl()\fR functions only in that they might raise the inexact
+floating-point exception if the result differs in value from the argument.
+.SH RETURN VALUES
+.sp
+.LP
+Upon successful completion, these functions return the integer (represented as
+a double precision number) nearest \fIx\fR in the direction of the current
+rounding mode.
+.sp
+.LP
+If \fIx\fR is NaN, a NaN is returned.
+.sp
+.LP
+If \fIx\fR is \(+-0 or \(+-Inf, \fIx\fR is returned.
+.SH ATTRIBUTES
+.sp
+.LP
+See \fBattributes\fR(5) for descriptions of the following attributes:
+.sp
+
+.sp
+.TS
+tab() box;
+cw(2.75i) |cw(2.75i) 
+lw(2.75i) |lw(2.75i) 
+.
+ATTRIBUTE TYPEATTRIBUTE VALUE
+_
+Interface StabilityStandard
+_
+MT-LevelMT-Safe
+.TE
+
+.SH SEE ALSO
+.sp
+.LP
+\fBabs\fR(3C), \fBceil\fR(3M), \fBfeclearexcept\fR(3M), \fBfetestexcept\fR(3M),
+\fBfloor\fR(3M), \fBisnan\fR(3M), \fBmath.h\fR(3HEAD), \fBnearbyint\fR(3M),
+\fBattributes\fR(5), \fBstandards\fR(5)